Bug 1531830 - Typo in %post scriptlet
Summary: Typo in %post scriptlet
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ipmiutil
Version: 27
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Andy Cress
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-06 00:29 UTC by Jason Tibbitts
Modified: 2018-01-28 23:53 UTC (History)
1 user (show)

Fixed In Version: 3.0.8 ipmiutil-3.0.8-1.el7 ipmiutil-3.0.8-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-26 17:31:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Jason Tibbitts 2018-01-06 00:29:15 UTC
I just installed ipmiutil on a few machines and noticed the following in the dnf output:

Running scriptlet: ipmiutil-3.0.5-3.fc27.x86_64
cp: cannot stat '%{scr_dir}/ipmi.init.basic': No such file or directory

Indeed, it seems that the scriptlet sets the shell variable "scr_dir" but then on just one line references uses '%' instead of '$' and references '%{scr_dir}'.  Of course, the spec doesn't define any macro %scr_dir and rpm leaves unexpandable macros unchanged.

Comment 1 Andy Cress 2018-01-08 13:57:12 UTC
Thanks for posting this.  This typo has been corrected now in the upstream source and will be released with ipmiutil-3.0.8 shortly.

Comment 2 Fedora Update System 2018-01-10 16:08:47 UTC
ipmiutil-3.0.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41c6724098

Comment 3 Fedora Update System 2018-01-10 16:09:42 UTC
ipmiutil-3.0.8-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-80a2dcca4c

Comment 4 Fedora Update System 2018-01-11 15:12:17 UTC
ipmiutil-3.0.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41c6724098

Comment 5 Fedora Update System 2018-01-11 23:57:39 UTC
ipmiutil-3.0.8-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-80a2dcca4c

Comment 6 Fedora Update System 2018-01-26 17:31:19 UTC
ipmiutil-3.0.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-01-28 23:53:59 UTC
ipmiutil-3.0.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.